<?xml version='1.0'?><!-- -*-SGML-*- -->
<!--
Copyright (c) 2004 Dashamir Hoxha, dashohoxha@users.sourceforge.net

DocBookWiki is free software; you can redistribute it and/or modify it
under the terms of the GNU  General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

DocBookWiki is  distributed in  the hope that  it will be  useful, but
WITHOUT   ANY  WARRANTY;   without  even   the  implied   warranty  of
MERCHANTABILITY  or FITNESS  FOR A  PARTICULAR PURPOSE.   See  the GNU
General Public License for more details.

You  should have received  a copy  of the  GNU General  Public License
along with DocBookWiki; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-->

<!--
This transformer is used to convert a DocBook document generated
by DocBookWiki to the format required by FDP. 
-->

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="iso-latin-1" 
            omit-xml-declaration="yes" standalone="yes" indent="yes" />

<xsl:template match="/">
<xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
 "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" [

<!ENTITY % FEDORA-ENTITIES-EN SYSTEM "../common/fedora-entities-en.xml">
%FEDORA-ENTITIES-EN;

<!ENTITY BOOKID "gateway-server-en-0.1 (2003-07-07)"> <!-- change version of manual and date here -->

<!ENTITY LEGALNOTICE SYSTEM "../common/legalnotice-en.xml">

]>]]>
</xsl:text>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="book/title|bookinfo" />

<xsl:template match="book" xml:space="preserve">
<article id="gateway-server" lang="en">
  <articleinfo>
    <title><xsl:value-of select="./title"/></title>
    <xsl:apply-templates select="./bookinfo/abstract"/>
    <copyright>
      <year>2004</year>
      <holder><xsl:text disable-output-escaping="yes">&amp;FORMAL-RHI;</xsl:text></holder>
      <holder>Dashamir Hoxha</holder>
    </copyright>
    <authorgroup>
      <author>
        <surname>Hoxha</surname>
        <firstname>Dashamir</firstname>
      </author>
    </authorgroup>
    <xsl:text disable-output-escaping="yes">&amp;LEGALNOTICE;</xsl:text>
  </articleinfo>
  <xsl:apply-templates />
</article>
</xsl:template>

<xsl:template match="chapter">
  <section id="{@id}">
    <xsl:apply-templates />
  </section>
</xsl:template>

<!-- remove the chapter with id='appendix', which contains the GNU FDL -->
<xsl:template match="chapter[@id='appendix']" />

<!-- strip off these tags
<xsl:template match="filename">
  <xsl:apply-templates />
</xsl:template>
-->

<!-- remove these elements at all
<xsl:template match="prompt" />
-->

<!-- remove the attribute moreinfo etc. -->
<xsl:template match="@moreinfo[.='none']|@format[.='linespecific']" />

<!-- rewrite programlisting
<xsl:template match="programlisting">
  <xsl:if test="./command">
    <screen><command><xsl:value-of select="./command"/></command></screen>
  </xsl:if>
  <programlisting>
    <xsl:apply-templates />
  </programlisting>
</xsl:template>
<xsl:template match="programlisting/command" />
-->

<!-- copy everything else -->
<xsl:template match="*|@*">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
</xsl:template>

</xsl:transform>
